.progress {
    font-size: $font-size-small;
    width: 100%;
    min-width: $space * 50;

    .state {
        display: flex;
        align-items: flex-end;
        justify-content: space-between;

        .success {
            color: $green-600;
        }

        .error {
            color: $red-600;
        }
    }

    .bar {
        background-color: $grey-200;
        height: $space * 2;
        width: 100%;
        border-radius: $space * 2;
        @include margin(2, 0);

        .filler {
            height: $space * 2;
            transition: width 1s;
            border-radius: $space * 2;

            &.run {
                background-color: $violet-800;
            }

            &.success {
                background-color: $green-600;
            }

            &.fail {
                background-color: $red-600;
            }
        }
    }
}
